### Function

# GLib SequenceIterCompareFunc

#### Declaration

    gint
    (* GSequenceIterCompareFunc) (
      GSequenceIter* a,
      GSequenceIter* b,
      gpointer data
    )

#### Description

A `GSequenceIterCompareFunc` is a function used to compare iterators. It must return zero if the iterators compare equal, a negative value if `a` comes before `b`, and a positive value if `b` comes before `a`.

#### Parameters

`a`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.

`b`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

Zero if the iterators are equal, a negative value if `a` comes before `b`, and a positive value if `b` comes before `a`.